org.apache.solr.handler.dataimport.config

## Class Entity

- java.lang.Object
- - org.apache.solr.handler.dataimport.config.Entity

-     public class Entity
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entity(boolean docRootFound, Element element, DataImporter di, DIHConfiguration config, Entity parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAllAttributes()`
    `List<Map<String,String>>` | `getAllFieldsList()`
    `List<Entity>` | `getChildren()`
    `Map<String,Set<EntityField>>` | `getColNameVsField()`
    `String` | `getDataSourceName()`
    `List<EntityField>` | `getFields()`
    `String` | `getName()`
    `Entity` | `getParentEntity()`
    `String` | `getPk()`
    `String` | `getPkMappingFromSchema()`
    `String` | `getProcessorName()`
    `String` | `getSchemaPk()`
    `boolean` | `isChild()`
    `boolean` | `isDocRoot()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Entity

          public Entity(boolean docRootFound,
                        Element element,
                        DataImporter di,
                        DIHConfiguration config,
                        Entity parent)

  - ### Method Detail

    - #### getPk

          public String getPk()

    - #### getSchemaPk

          public String getSchemaPk()

    - #### getName

          public String getName()

    - #### getPkMappingFromSchema

          public String getPkMappingFromSchema()

    - #### getDataSourceName

          public String getDataSourceName()

    - #### getProcessorName

          public String getProcessorName()

    - #### getParentEntity

          public Entity getParentEntity()

    - #### isDocRoot

          public boolean isDocRoot()

    - #### getChildren

          public List<Entity> getChildren()

    - #### getFields

          public List<EntityField> getFields()

    - #### getColNameVsField

          public Map<String,Set<EntityField>> getColNameVsField()

    - #### getAllAttributes

          public Map<String,String> getAllAttributes()

    - #### getAllFieldsList

          public List<Map<String,String>> getAllFieldsList()

    - #### isChild

          public boolean isChild()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.